Subject: Re: [Ecrit] Comments on additional-data-05 SvcDelByProvider

From: "Hannes Tschofenig" <[email-masked]>
Date: Wed, 15 May 2013 09:41:48 +0200 (CEST)

Guy pointed out that we had skipped comments that he had provided to the list late last year.

I double-checked with the current draft and he is indeed correct that we had forgotten those.

A few remarks inline:

> -------- Original Message --------

> Subject: [Ecrit] Comments on additional-data-05 SvcDelByProvider

> Date: Mon, 19 Nov 2012 08:28:28 -0500

> From: [email-masked] <[email-masked]>

> To: [email-masked] <[email-masked]>

> Hi ECRIT,

> Please find the following comments for your consideration.

> In section 5.2, it states that the registry will reflect a list of

> initial valid entries, including "Remote (off premise extension)"

> however, there is no corresponding value in section 13.1.4. I suggest

> adding the value name "OPX" and the corresponding description "off

> premise extension" in the table.

This is correct. The table in the IANA consideration section and the table in (now) Section 6.2 is not in sync.

I guess it would be better to only have one table to avoid these types of problems.

> There is a statement at the end of section 5.2 that says "There can be

> more than one value returned. For example, a VoIP inmate telephone

> service is a reasonable combination" however, I'm not sure the XML

> schema in section 5.4 allows this. One option would be to modify the

> schema for SvcDelByProvider to maxOccurs=nbounded". Another option

> would

> be to make SvcDelByProvider a list type.

That's correct. I need to update the XML schema.

> There are several deployments of hosted voice services today, both in

> the PSTN (Centrex being one of them) and IP. In Section 13.1.4, there

> is

> no value to capture hosted services. An option would be to create a

> value "HostedMLTS". Another option, perhaps more flexible, would be to

> add a value "Hosted" that, combined with "MLTS" would cover these

> cases.

> Of course, there are combinations that we wouldn't want to see such as

> "Hosted" and "Prison". Perhaps some text in that regard would be

> required.

Ok.

Ciao

Hannes

> Regards,

> Guy

> _______________________________________________

> Ecrit mailing list

> [email-masked]

> https://www.ietf.org/mailman/listinfo/ecrit